<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MatCreateMPIAdj</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MatCreateMPIAdj"><H1>MatCreateMPIAdj</H1></A>
Creates a sparse matrix representing an adjacency list. The matrix does not have numerical values associated with it, but is intended for ordering (to reduce bandwidth etc) and partitioning. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
PetscErrorCode PETSCMAT_DLLEXPORT MatCreateMPIAdj(MPI_Comm comm,PetscInt m,PetscInt n,PetscInt *i,PetscInt *j,PetscInt *values,Mat *A)
</PRE>
Collective on <A HREF="../Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B><A HREF="../Sys/comm.html#comm">comm</A> </B></TD><TD>- MPI communicator
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>m </B></TD><TD>- number of local rows
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>n </B></TD><TD>- number of columns
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>i </B></TD><TD>- the indices into j for the start of each row
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>j </B></TD><TD>- the column indices for each row (sorted for each row).
The indices in i and j start with zero (NOT with one).
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>values </B></TD><TD>- [optional] edge weights
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>A </B> -the matrix 
<br>
<P>

<P>
Notes: This matrix object does not support most matrix operations, include
<A HREF="../Mat/MatSetValues.html#MatSetValues">MatSetValues</A>().
You must NOT free the ii, values and jj arrays yourself. PETSc will free them
when the matrix is destroyed; you must allocate them with <A HREF="../Sys/PetscMalloc.html#PetscMalloc">PetscMalloc</A>(). If you
call from Fortran you need not create the arrays with <A HREF="../Sys/PetscMalloc.html#PetscMalloc">PetscMalloc</A>().
Should not include the matrix diagonals.
<P>
If you already have a matrix, you can create its adjacency matrix by a call
to <A HREF="../Mat/MatConvert.html#MatConvert">MatConvert</A>, specifying a type of <A HREF="../Mat/MATMPIADJ.html#MATMPIADJ">MATMPIADJ</A>.
<P>
Possible values for <A HREF="../Mat/MatSetOption.html#MatSetOption">MatSetOption</A>() - MAT_STRUCTURALLY_SYMMETRIC
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Mat/MatCreate.html#MatCreate">MatCreate</A>(), <A HREF="../Mat/MatConvert.html#MatConvert">MatConvert</A>(), <A HREF="../MatOrderings/MatGetOrdering.html#MatGetOrdering">MatGetOrdering</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/mat/impls/adj/mpi/mpiadj.c.html#MatCreateMPIAdj">src/mat/impls/adj/mpi/mpiadj.c</A>
<BR><A HREF="./index.html">Index of all Mat routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/dm/ao/examples/tutorials/ex2.c.html">src/dm/ao/examples/tutorials/ex2.c.html</A><BR>
</BODY></HTML>
